package ru.yandex.wmtools.common.sita.urlextension;

/**
 * @author avhaliullin
 */
public class SitaUrlExtensitonResponse {
    private final UrlExtensionChain extensionChain;
    private final Status status;

    public SitaUrlExtensitonResponse(UrlExtensionChain extensionChain, Status status) {
        this.extensionChain = extensionChain;
        this.status = status;
    }

    public UrlExtensionChain getExtensionChain() {
        return extensionChain;
    }

    public Status getStatus() {
        return status;
    }

    public enum Status{
        OK,
        URL_NOT_FOUND,
        REDIRECT_LOOP
    }
}
